import { StrategyBasedIndicatorDescription } from "./StrategyBasedIndicatorDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicatorDescription extends StrategyBasedIndicatorDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private cz;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    private cy;
    get longPeriod(): number;
    set longPeriod(a: number);
    private c0;
    get signalPeriod(): number;
    set signalPeriod(a: number);
}
